%define pkgver %(echo %version | tr -d .)
Name:          libcgroup
Version:       2.0.1
Release:       1mamba
Summary:       A control group kernel file system interface to manipulate and control the details on task grouping
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libcg.sourceforge.net/
Source:        https+git://github.com/libcgroup/libcgroup.git/v%{version}/libcgroup-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaudit-devel
BuildRequires: libcap-ng-devel
BuildRequires: libpam-devel
## AUTOBUILDREQ-END
BuildRequires: pkg-config

%description
Control groups, a new kernel feature in Linux 2.6.24 provides a file system interface to manipulate and control the details on task grouping including creation of new task groups (control groups), permission handling and task assignment.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
./bootstrap.sh

%build
%configure \
   --enable-pam-module-dir=%{_libdir}/security

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcgroup.so.*
#%{_libdir}/libcgroupfortesting.so.*
#%{_libdir}/libcgset.so.*
%{_libdir}/security/pam_cgroup.la
%{_libdir}/security/pam_cgroup.so
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libcgroup.h
%dir %{_includedir}/libcgroup
%{_includedir}/libcgroup/*.h
%{_libdir}/libcgroup.la
%{_libdir}/libcgroup.so
%{_libdir}/libcgroup.a
#%{_libdir}/libcgroupfortesting.a
#%{_libdir}/libcgroupfortesting.la
#%{_libdir}/libcgroupfortesting.so
#%{_libdir}/libcgset.a
#%{_libdir}/libcgset.la
#%{_libdir}/libcgset.so
%{_libdir}/security/pam_cgroup.a
%{_libdir}/pkgconfig/libcgroup.pc
#%doc README README_daemon README_systemd

%files tools
%defattr(-,root,root)
%{_bindir}/cgclassify
%{_bindir}/cgcreate
%{_bindir}/cgdelete
%{_bindir}/cgexec
%{_bindir}/cgget
%{_bindir}/cgset
%{_bindir}/cgsnapshot
%{_bindir}/lscgroup
%{_bindir}/lssubsys
%{_sbindir}/cgclear
%{_sbindir}/cgconfigparser
%{_sbindir}/cgrulesengd
%{_mandir}/man1/cg*.1*
%{_mandir}/man1/lscgroup.1*
%{_mandir}/man1/lssubsys.1*
%{_mandir}/man5/cg*.5*
%{_mandir}/man8/cg*.8*

%changelog
* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0-1mamba
- update to 2.0

* Thu Oct 31 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-2mamba
- libcgroup-tools: fixed group

* Sat May 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.38-1mamba
- package created by autospec
